Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class NVPixelDataRange

    java.lang.Object
      org.lwjgl.opengl.NVPixelDataRange

    public final class NVPixelDataRange

extends java.lang.Object

Field Summary
`static int` | `GL_READ_PIXEL_DATA_RANGE_LENGTH_NV`
`static int` | `GL_READ_PIXEL_DATA_RANGE_NV`
`static int` | `GL_READ_PIXEL_DATA_RANGE_POINTER_NV`
`static int` | `GL_WRITE_PIXEL_DATA_RANGE_LENGTH_NV` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` | `GL_WRITE_PIXEL_DATA_RANGE_NV` Accepted by the <target> parameter of PixelDataRangeNV and FlushPixelDataRangeNV, and by the <cap> parameter of EnableClientState, DisableClientState, and IsEnabled:
`static int` | `GL_WRITE_PIXEL_DATA_RANGE_POINTER_NV` Accepted by the <pname> parameter of GetPointerv:

Method Summary
`static void` | `glFlushPixelDataRangeNV(int target)`
`static void` | `glPixelDataRangeNV(int target, java.nio.ByteBuffer data)`
`static void` | `glPixelDataRangeNV(int target, java.nio.DoubleBuffer data)`
`static void` | `glPixelDataRangeNV(int target, java.nio.FloatBuffer data)`
`static void` | `glPixelDataRangeNV(int target, java.nio.IntBuffer data)`
`static void` | `glPixelDataRangeNV(int target, java.nio.ShortBuffer data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_WRITE_PIXEL_DATA_RANGE_NV

    public static final int GL_WRITE_PIXEL_DATA_RANGE_NV

  Accepted by the <target> parameter of PixelDataRangeNV and FlushPixelDataRangeNV, and by the <cap> parameter of EnableClientState, DisableClientState, and IsEnabled:

  See Also:
    Constant Field Values

### GL_READ_PIXEL_DATA_RANGE_NV

    public static final int GL_READ_PIXEL_DATA_RANGE_NV

See Also:
  Constant Field Values

### GL_WRITE_PIXEL_DATA_RANGE_LENGTH_NV

    public static final int GL_WRITE_PIXEL_DATA_RANGE_LENGTH_NV

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_READ_PIXEL_DATA_RANGE_LENGTH_NV

    public static final int GL_READ_PIXEL_DATA_RANGE_LENGTH_NV

See Also:
  Constant Field Values

### GL_WRITE_PIXEL_DATA_RANGE_POINTER_NV

    public static final int GL_WRITE_PIXEL_DATA_RANGE_POINTER_NV

  Accepted by the <pname> parameter of GetPointerv:

  See Also:
    Constant Field Values

### GL_READ_PIXEL_DATA_RANGE_POINTER_NV

    public static final int GL_READ_PIXEL_DATA_RANGE_POINTER_NV

See Also:
  Constant Field Values

Method Detail

### glPixelDataRangeNV

    public static void glPixelDataRangeNV(int target,
                                          java.nio.ByteBuffer data)

### glPixelDataRangeNV

    public static void glPixelDataRangeNV(int target,
                                          java.nio.DoubleBuffer data)

### glPixelDataRangeNV

    public static void glPixelDataRangeNV(int target,
                                          java.nio.FloatBuffer data)

### glPixelDataRangeNV

    public static void glPixelDataRangeNV(int target,
                                          java.nio.IntBuffer data)

### glPixelDataRangeNV

    public static void glPixelDataRangeNV(int target,
                                          java.nio.ShortBuffer data)

### glFlushPixelDataRangeNV

    public static void glFlushPixelDataRangeNV(int target)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.